mutable struct Record
    ishdr::Bool
    islong::Bool

    # Record length, start, end
    rlen::Int64 
    rpos::Int64
    rend::Int64
    rsav::Int64
    
    rfmt::Int32
    ruinfo::Int8

    hsh::Nettle.Hasher    
end

mutable struct BDIOstream
    io::IO
    ipt::Int64
    
    imode::Int32
    istate::Int32
    rwpos::Int64
    
    lendian::Bool

    user::String
    host::String
    created::Int32
    modified::Int32
    info::String

    rdate::Int64
    
    records::Array{Record,1}
end

